/*
 * THIS FILE WAS AUTOMATICALLY GENERATED, DO NOT EDIT.
 *
 * Copyright (C) 2011 Google Inc.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY GOOGLE, INC. ``AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL APPLE INC. OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
 * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#pragma once

namespace WebCore {

enum EventInterface {
#if ENABLE(APPLE_PAY)
    ApplePayCancelEventInterfaceType = 1,
    ApplePayPaymentAuthorizedEventInterfaceType = 2,
    ApplePayPaymentMethodSelectedEventInterfaceType = 3,
    ApplePayShippingContactSelectedEventInterfaceType = 4,
    ApplePayShippingMethodSelectedEventInterfaceType = 5,
    ApplePayValidateMerchantEventInterfaceType = 6,
#endif
#if ENABLE(APPLE_PAY_COUPON_CODE)
    ApplePayCouponCodeChangedEventInterfaceType = 7,
#endif
#if ENABLE(DEVICE_ORIENTATION)
    DeviceMotionEventInterfaceType = 8,
    DeviceOrientationEventInterfaceType = 9,
#endif
#if ENABLE(ENCRYPTED_MEDIA)
    MediaEncryptedEventInterfaceType = 10,
    MediaKeyMessageEventInterfaceType = 11,
#endif
#if ENABLE(GAMEPAD)
    GamepadEventInterfaceType = 12,
#endif
#if ENABLE(IOS_GESTURE_EVENTS) || ENABLE(MAC_GESTURE_EVENTS)
    GestureEventInterfaceType = 13,
#endif
#if ENABLE(LEGACY_ENCRYPTED_MEDIA)
    WebKitMediaKeyMessageEventInterfaceType = 14,
    WebKitMediaKeyNeededEventInterfaceType = 15,
#endif
#if ENABLE(MEDIA_RECORDER)
    BlobEventInterfaceType = 16,
    MediaRecorderErrorEventInterfaceType = 17,
#endif
#if ENABLE(MEDIA_STREAM)
    MediaStreamTrackEventInterfaceType = 18,
    OverconstrainedErrorEventInterfaceType = 19,
#endif
#if ENABLE(NOTIFICATION_EVENT)
    NotificationEventInterfaceType = 20,
#endif
#if ENABLE(ORIENTATION_EVENTS)
#endif
#if ENABLE(PAYMENT_REQUEST)
    MerchantValidationEventInterfaceType = 21,
    PaymentMethodChangeEventInterfaceType = 22,
    PaymentRequestUpdateEventInterfaceType = 23,
#endif
#if ENABLE(PICTURE_IN_PICTURE_API)
    PictureInPictureEventInterfaceType = 24,
#endif
#if ENABLE(SERVICE_WORKER)
    BackgroundFetchEventInterfaceType = 25,
    BackgroundFetchUpdateUIEventInterfaceType = 26,
    ExtendableEventInterfaceType = 27,
    ExtendableMessageEventInterfaceType = 28,
    FetchEventInterfaceType = 29,
    PushEventInterfaceType = 30,
    PushSubscriptionChangeEventInterfaceType = 31,
#endif
#if ENABLE(SPEECH_SYNTHESIS)
    SpeechSynthesisErrorEventInterfaceType = 32,
    SpeechSynthesisEventInterfaceType = 33,
#endif
#if ENABLE(TOUCH_EVENTS)
    TouchEventInterfaceType = 34,
#endif
#if ENABLE(VIDEO)
    TrackEventInterfaceType = 35,
#endif
#if ENABLE(WEBGL)
    WebGLContextEventInterfaceType = 36,
#endif
#if ENABLE(WEBXR)
    XRInputSourceEventInterfaceType = 37,
    XRInputSourcesChangeEventInterfaceType = 38,
    XRReferenceSpaceEventInterfaceType = 39,
    XRSessionEventInterfaceType = 40,
#endif
#if ENABLE(WEB_AUDIO)
    AudioProcessingEventInterfaceType = 41,
    OfflineAudioCompletionEventInterfaceType = 42,
#endif
#if ENABLE(WEB_RTC)
    RTCDTMFToneChangeEventInterfaceType = 43,
    RTCDataChannelEventInterfaceType = 44,
    RTCErrorEventInterfaceType = 45,
    RTCPeerConnectionIceErrorEventInterfaceType = 46,
    RTCPeerConnectionIceEventInterfaceType = 47,
    RTCRtpSFrameTransformErrorEventInterfaceType = 48,
    RTCTrackEventInterfaceType = 49,
    RTCTransformEventInterfaceType = 50,
#endif
#if ENABLE(WIRELESS_PLAYBACK_TARGET_AVAILABILITY_API)
    WebKitPlaybackTargetAvailabilityEventInterfaceType = 51,
#endif
    AnimationPlaybackEventInterfaceType = 52,
    BeforeUnloadEventInterfaceType = 53,
    CSSAnimationEventInterfaceType = 54,
    CSSTransitionEventInterfaceType = 55,
    ClipboardEventInterfaceType = 56,
    CloseEventInterfaceType = 57,
    CompositionEventInterfaceType = 58,
    CustomEventInterfaceType = 59,
    DragEventInterfaceType = 60,
    ErrorEventInterfaceType = 61,
    EventInterfaceType = 62,
    FocusEventInterfaceType = 63,
    FormDataEventInterfaceType = 64,
    HashChangeEventInterfaceType = 65,
    IDBVersionChangeEventInterfaceType = 66,
    InputEventInterfaceType = 67,
    KeyboardEventInterfaceType = 68,
    MediaQueryListEventInterfaceType = 69,
    MessageEventInterfaceType = 70,
    MouseEventInterfaceType = 71,
    MutationEventInterfaceType = 72,
    OverflowEventInterfaceType = 73,
    PageTransitionEventInterfaceType = 74,
    PointerEventInterfaceType = 75,
    PopStateEventInterfaceType = 76,
    ProgressEventInterfaceType = 77,
    PromiseRejectionEventInterfaceType = 78,
    SecurityPolicyViolationEventInterfaceType = 79,
    SpeechRecognitionErrorEventInterfaceType = 80,
    SpeechRecognitionEventInterfaceType = 81,
    StorageEventInterfaceType = 82,
    SubmitEventInterfaceType = 83,
    TextEventInterfaceType = 84,
    ToggleEventInterfaceType = 85,
    UIEventInterfaceType = 86,
    WheelEventInterfaceType = 87,
    XMLHttpRequestProgressEventInterfaceType = 88,
};

} // namespace WebCore
